## percona-pgpool2 4.4.2

=== debian/changelog ===
percona-pgpool2 (4.4.2-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg15.2 version 4.4.2

 -- Ubuntu <ubuntu@ip-10-199-1-232.eu-west-1.compute.internal>  Mon, 13 Mar 2023 23:03:19 +0000

percona-pgpool2 (4.4.2-1) stable; urgency=medium

  * New upstream version 4.3.5. (Closes: #1030048)

    + Fixes Information disclosure vulnerability CVE-2023-22332:

      A specific database user's authentication information may be obtained
      by another database user. As a result, the information stored in the
      database may be altered and/or database may be suspended by a remote
      attacker who successfully logged in the product with the obtained
      credentials.

  * debian/pgpool2.service: Start after network.target.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Mar 2023 11:09:35 +0100

pgpool2 (4.3.3-3) unstable; urgency=medium

  * Enable LDAP authentication. (PostgreSQL Redmine #7688)

 -- Christoph Berg <myon@debian.org>  Wed, 16 Nov 2022 16:38:06 +0100

pgpool2 (4.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary constraints.

  [ Christoph Berg ]
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 19:29:20 +0200

pgpool2 (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3.

 -- Christoph Berg <myon@debian.org>  Wed, 31 Aug 2022 15:57:53 +0200

pgpool2 (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2.

 -- Christoph Berg <myon@debian.org>  Tue, 24 May 2022 17:53:39 +0200

pgpool2 (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1.
  * Bump soname to libpgpool2.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Mar 2022 12:36:35 +0100

pgpool2 (4.1.4-6) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 14:45:01 +0100

pgpool2 (4.1.4-5) unstable; urgency=medium

  * Temporarily build-depend on postgresql-server-dev-13.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Oct 2021 14:48:18 +0200

pgpool2 (4.1.4-4) unstable; urgency=medium

  * debian/tests/jdbc-tests: Work around failure with PG14 scram
    authentication.
  * Temporarily force building against PG13 to get the PG14 transition
    unstuck.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Oct 2021 14:13:31 +0200

pgpool2 (4.1.4-3) unstable; urgency=medium

  * Fix connection count when query is canceled. (Closes: #987183,
    upstream #656, git 6d6e4cc3).

 -- Christoph Berg <myon@debian.org>  Mon, 19 Apr 2021 17:43:35 +0200

pgpool2 (4.1.4-2) unstable; urgency=medium

  * Bump test-dependency on pg-common for `pg_buildext psql`.
  * Test-depend on locales-all instead of generating locales ourselves.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 16:48:13 +0200

pgpool2 (4.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 13.
  * debian/tests: Use pg_buildext psql.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 15:43:01 +0200

pgpool2 (4.1.2-2) unstable; urgency=medium

  * debian/tests/jdbc-tests: pgjdbc 42.2.15 adds gssEncMode, disable it here
    since pgpool2 doesn't support it yet.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Aug 2020 15:22:55 +0200

pgpool2 (4.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Christoph Berg ]
  * New upstream version.
  * DH 13: drop explicit dh_autoreconf, dh_systemd, and fail-missing.
  * Bump S-V.
  * pgpool2: Add misc:Pre-Depends as per Lintian.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 13:27:39 +0200

pgpool2 (4.1.1-2) unstable; urgency=medium

  * postgresql-*-pgpool2: Relax dependency on libpgpool0 so module packages
    for older PG versions don't become uninstallable once the libpgpool0
    version advances.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Feb 2020 12:01:10 +0100

pgpool2 (4.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 13:12:23 +0100

pgpool2 (4.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Disable hurd-i386. (Closes: #876939)

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 14:13:39 +0100

pgpool2 (4.0.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 09:32:36 +0100

pgpool2 (4.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Aug 2019 13:20:32 +0200

pgpool2 (4.0.5-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2019 15:11:21 +0200

pgpool2 (4.0.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Apr 2019 09:17:45 +0200

pgpool2 (4.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 03 Dec 2018 14:39:30 +0100

pgpool2 (3.7.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:43:34 +0200

pgpool2 (3.7.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Jul 2018 22:36:50 +0200

pgpool2 (3.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Jul 2018 17:35:17 +0200

pgpool2 (3.7.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 27 May 2018 22:39:13 +0200

pgpool2 (3.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Use SIGINT to stop service. Suggested by Gunnar Bluth, thanks!
    (Closes: #828769)
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sun, 18 Feb 2018 12:52:30 +0100



## percona-pgpool2 4.4.4

=== src/sql/pgpool_adm/Makefile ===
# contrib/pgpool_adm/Makefile

MODULE_big = pgpool_adm
OBJS = pgpool_adm.o
PG_CPPFLAGS = -I$(libpq_srcdir) -I../../include/pcp

EXTENSION = pgpool_adm
DATA = pgpool_adm--1.0.sql pgpool_adm--1.1.sql pgpool_adm--1.2.sql pgpool_adm--1.3.sql \
pgpool_adm--1.0--1.1.sql pgpool_adm--1.1--1.2.sql pgpool_adm--1.2--1.3.sql \
pgpool_adm--1.4.sql pgpool_adm--1.3--1.4.sql \
pgpool_adm--1.5.sql pgpool_adm--1.4--1.5.sql
SHLIB_LINK =  -L../../libs/pcp/.libs -lpcp -Wl,--as-needed -Wl,-rpath,'${prefix}/lib',--enable-new-dtags
# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-8.4)
top_builddir = ../..

ifdef USE_PGXS
PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgpool_adm
#top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## percona-pgpool2 4.4.3

=== debian/changelog ===
percona-pgpool2 (4.4.3-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg11.19 version 4.4.3

 -- Ubuntu <ubuntu@ip-10-199-1-159.eu-west-1.compute.internal>  Thu, 08 Jun 2023 16:59:01 +0000

percona-pgpool2 (4.4.3-1) stable; urgency=medium

  * New upstream version 4.3.5. (Closes: #1030048)

    + Fixes Information disclosure vulnerability CVE-2023-22332:

      A specific database user's authentication information may be obtained
      by another database user. As a result, the information stored in the
      database may be altered and/or database may be suspended by a remote
      attacker who successfully logged in the product with the obtained
      credentials.

  * debian/pgpool2.service: Start after network.target.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Mar 2023 11:09:35 +0100

=== debian/control ===
Source: percona-pgpool2
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 bison,
 chrpath,
 debhelper-compat (= 13),
 docbook,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 flex,
 libldap-dev,
 libmemcached-dev,
 libpam0g-dev,
 libpq-dev,
 libssl-dev,
 libxml2-utils,
 openjade,
 opensp,
 postgresql-server-dev-all,
 xsltproc,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page

Package: percona-pgpool2
Architecture: linux-any kfreebsd-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libpgpool2 (= ${binary:Version}),
 lsb-base,
 postgresql-common,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances: postgresql
Conflicts: pgpool
Replaces: pgpool
Description: connection pool server and replication proxy for PostgreSQL
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client. It provides the following features:
 .
  * Connection Pooling
  * Replication
  * Load Balance
  * Limiting Exceeding Connections
  * Parallel Query
 .
 pgpool-II talks PostgreSQL's backend and frontend protocol, and relays a
 connection between them. Therefore, a database application (frontend) thinks
 that pgpool-II is the actual PostgreSQL server, and the server (backend) sees
 pgpool-II as one of its clients. Because pgpool-II is transparent to both the
 server and the client, an existing database application can be used with
 pgpool-II almost without a change to its sources.
 .
 This is version 3 of pgpool-II, the second generation of pgpool.

Package: libpgpool2
Architecture: linux-any kfreebsd-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pgpool control protocol library
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains the pgpool control
 protocol library (libpcp).

Package: libpgpool-dev
Architecture: linux-any kfreebsd-any
Section: libdevel
Depends: libpgpool2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
# We also provide /usr/lib/libpcp.{a,so}
Conflicts: libpcp3-dev
Description: pgpool control protocol library - headers
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains headers for the pgpool
 control protocol library (libpcp).

Package: postgresql-15-pgpool2
Architecture: linux-any kfreebsd-any
Depends:
 libpgpool2 (>= ${binary:Version}),
 postgresql-15|percona-postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: connection pool server and replication proxy for PostgreSQL - modules
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains support modules for
 the PostgreSQL 15 server:
 .
  * pgpool_adm
  * pgpool_recovery (PostgreSQL 9.1 and above)
  * pgpool_regclass (PostgreSQL 9.1 and above)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

LDFLAGS += -Wl,--as-needed

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C src/sql clean
	rm -f config.log
	$(MAKE) -C src/sql/pgpool_adm clean USE_PGXS=1
	rm -rf src/test/jdbc/*.class src/test/jdbc/result src/test/jdbc/pgpool.properties
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser clean
	#rm -rf src/test/parser/result src/test/parser/test.diff
	#$(MAKE) -C src/test/timestamp clean
	#rm -rf src/test/timestamp/result src/test/timestamp/test.diff
	cd src/test/regression && bash clean.sh
	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars

override_dh_auto_configure:
	./configure --prefix=/usr \
		--sysconfdir=/etc/pgpool2 \
		--bindir=/usr/sbin \
		--includedir=/usr/include/pgpool2 \
		--disable-rpath \
		--with-ldap \
		--with-openssl \
		--with-pam \
		--with-memcached=/usr/include/libmemcached
	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
	mkdir -p src/test/jdbc/result

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C doc

override_dh_auto_test:
	dh_auto_test
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser test
	#chmod +x src/test/timestamp/run-test
	#$(MAKE) -C src/test/timestamp test
	# src/test/jdbc is executed by autopkgtest

override_dh_auto_install:
	dh_auto_install
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		$(MAKE) -C src/sql clean PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C src/sql PG_CONFIG=$$PG_CONFIG ; \
		chrpath -d src/sql/pgpool_adm/pgpool_adm.so ; \
		$(MAKE) -C src/sql install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 PG_CONFIG=$$PG_CONFIG ; \
	done

override_dh_install:
	# pgpool.conf is handled by ucf
	mkdir -p debian/tmp/usr/share/pgpool2
	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
	rm debian/tmp/usr/lib/libpcp.la # not interested in .la
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

## percona-pgpool2 4.4.4

=== debian/changelog ===
percona-pgpool2 (4.4.4-2) unstable; urgency=medium

  * Update to new percona-pgpool2 pg15.5 version 4.4.4

 -- Ubuntu <ubuntu@ip-10-199-2-163.eu-west-1.compute.internal>  Thu, 23 Nov 2023 13:23:03 +0000

percona-pgpool2 (4.4.4-2) stable; urgency=medium

  * Revert usage of ${postgresql:Depends}, needs more pg_buildext.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2023 10:20:12 +0200

pgpool2 (4.3.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Mark jdbc test as skip-not-installable, ca-certificates-java often acts
    up.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:47:13 +0200

pgpool2 (4.3.5-1) unstable; urgency=medium

  * New upstream version 4.3.5. (Closes: #1030048)

    + Fixes Information disclosure vulnerability CVE-2023-22332:

      A specific database user's authentication information may be obtained
      by another database user. As a result, the information stored in the
      database may be altered and/or database may be suspended by a remote
      attacker who successfully logged in the product with the obtained
      credentials.

  * debian/pgpool2.service: Start after network.target.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Mar 2023 11:09:35 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  opensp,
  postgresql-server-dev-all,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page

## percona-pgpool2 4.5.0

=== src/test/regression/tests/010.rewrite_timestamp/timestamp/Makefile ===
PROGRAM=timestamp-test
topsrc_dir=../../../../..
CPPFLAGS=-I$(topsrc_dir)/include -I$(shell $(PGBIN)/pg_config --includedir)
CFLAGS=-Wall -O0 -g -std=gnu99
CC=gcc

OBJS=main.o \
	 $(topsrc_dir)/utils/strlcpy.o \
	 $(topsrc_dir)/utils/pgstrcasecmp.o \
	 $(topsrc_dir)/utils/psprintf.o \
	 $(topsrc_dir)/main/pool_globals.o \
	 $(topsrc_dir)/rewrite/pool_timestamp.o \
	 $(topsrc_dir)/parser/libsql-parser.a

all: all-pre $(PROGRAM)

all-pre:
	$(MAKE) -C $(topsrc_dir)/utils strlcpy.o
	$(MAKE) -C $(topsrc_dir)/utils pgstrcasecmp.o
	$(MAKE) -C $(topsrc_dir)/utils psprintf.o
	$(MAKE) -C $(topsrc_dir)/main pool_globals.o
	$(MAKE) -C $(topsrc_dir)/rewrite pool_timestamp.o
	$(MAKE) -C $(topsrc_dir)/parser

$(PROGRAM): $(OBJS)
	$(CC) $(OBJS) -o $(PROGRAM)

main.o: main.c

test: $(PROGRAM)
	./run-test parse_schedule

clean:
	-rm *.o
	-rm $(PROGRAM)
	-rm result/*.out
	-rm result.txt
	-rm test.diff

.PHONY: all all-pre test clean

=== debian/changelog ===
percona-pgpool2 (4.5.0-2) unstable; urgency=medium

  * Update to new percona-pgpool2 pg15.6 version 4.5.0

 -- Ubuntu <ubuntu@ip-10-199-1-242.eu-west-1.compute.internal>  Wed, 21 Feb 2024 18:48:13 +0000

percona-pgpool2 (4.5.0-2) stable; urgency=medium

  * New upstream version 4.3.7.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 10:47:05 +0000

pgpool2 (4.3.5-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, needs more pg_buildext.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2023 10:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  bison,
  chrpath,
- debhelper-compat (= 13),
  docbook,
  docbook-dsssl,
  docbook-xml,

## percona-pgpool2 4.5.1

=== debian/changelog ===
percona-pgpool2 (4.5.1-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg13.15 version 4.5.1

 -- Ubuntu <ubuntu@ip-10-199-2-159.eu-west-1.compute.internal>  Wed, 15 May 2024 08:06:46 +0000

percona-pgpool2 (4.5.1-1) stable; urgency=medium

  [ Vladimir Petko ]
  * d/p/java21-deprecation.patch: fix autopkgtest failure with Java 21.
    Use Runtime.exec(String[]) to avoid deprecation warning (Closes:
    #1064789).
  * fix -Werror=implicit-function-declaration errors. (Closes: #1065000)
  * Tests: fix indentation and remove stray getTestName() call.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Feb 2024 11:49:11 +0100

pgpool2 (4.3.7-1) unstable; urgency=medium

  * New upstream version 4.3.7.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 10:47:05 +0000

=== debian/control ===
--- 
+++ 
@@ -76,17 +76,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-15-pgpool2
+Package: postgresql-16-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:
  libpgpool2 (>= ${binary:Version}),
- postgresql-15|percona-postgresql-15,
+ postgresql-16|percona-postgresql-16,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 15 server:
+ the PostgreSQL 16 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

## percona-pgpool2 4.5.2

=== debian/changelog ===
percona-pgpool2 (4.5.2-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg13.16 version 4.5.2

 -- root <root@7f1a0c874046>  Fri, 09 Aug 2024 06:55:10 +0000

percona-pgpool2 (4.5.2-1) stable; urgency=medium

  * New upstream version 4.5.2.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2024 12:07:41 +0200

pgpool2 (4.3.7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/java21-deprecation.patch: fix autopkgtest failure with Java 21.
    Use Runtime.exec(String[]) to avoid deprecation warning (Closes:
    #1064789).
  * fix -Werror=implicit-function-declaration errors. (Closes: #1065000)
  * Tests: fix indentation and remove stray getTestName() call.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Feb 2024 11:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libpgpool2 (= ${binary:Version}),
- lsb-base,
  postgresql-common,
  ucf,
  ${misc:Depends},
@@ -76,17 +75,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-16-pgpool2
+Package: postgresql-14-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:
  libpgpool2 (>= ${binary:Version}),
- postgresql-16|percona-postgresql-16,
+ postgresql-14,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 16 server:
+ the PostgreSQL 14 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

## percona-pgpool2 4.5.4

=== debian/changelog ===
percona-pgpool2 (4.5.4-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg17.2 version 4.5.4

 -- root <root@339a7b967818>  Tue, 10 Dec 2024 15:03:58 +0000

percona-pgpool2 (4.5.4-1) stable; urgency=medium

  * New upstream version 4.5.5.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 13:19:10 +0100

pgpool2 (4.5.4-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, doesn't work without dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 21:59:17 +0000

pgpool2 (4.5.4-2) unstable; urgency=medium

  * Restrict to 64-bit architectures.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 15:00:37 +0200

pgpool2 (4.5.4-1) unstable; urgency=medium

  * New upstream version 4.5.4. (Closes: #1081659)
  * Fixes CVE-2024-45624[0]:
      Exposure of sensitive information due to incompatible policies issue
      exists in Pgpool-II. If a database user accesses a query cache,
      table data unauthorized for the user may be retrieved.
  * Upload for PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:54:33 +0200

pgpool2 (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Aug 2024 10:22:34 +0200

pgpool2 (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2024 12:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  opensp,
  postgresql-server-dev-all,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
 
@@ -75,17 +75,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-14-pgpool2
+Package: postgresql-12-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:
  libpgpool2 (>= ${binary:Version}),
- postgresql-14,
+ postgresql-12|percona-postgresql-12,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 14 server:
+ the PostgreSQL 12 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

## percona-pgpool2 4.5.5

=== debian/changelog ===
percona-pgpool2 (4.5.5-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg17.4 version 4.5.5

 -- root <root@0a8a52c094a6>  Wed, 19 Mar 2025 10:15:19 +0000

percona-pgpool2 (4.5.5-1) stable; urgency=medium

  * New upstream version 4.6.0.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Mar 2025 15:04:01 +0000

pgpool2 (4.5.5-1) unstable; urgency=medium

  * New upstream version 4.5.5.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 13:19:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars
 
 override_dh_auto_configure:
-	./configure --prefix=/usr \
+	autoreconf --force --install; ./configure --prefix=/usr \
 		--sysconfdir=/etc/pgpool2 \
 		--bindir=/usr/sbin \
 		--includedir=/usr/include/pgpool2 \

## percona-pgpool2 4.6.0

=== debian/changelog ===
percona-pgpool2 (4.6.0-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg13.21 version 4.6.0

 -- root <root@d908bfab16c9>  Thu, 22 May 2025 14:32:16 +0000

percona-pgpool2 (4.6.0-1) stable; urgency=medium

  * New upstream version 4.6.1. (Closes: #1106119)

    + An authentication bypass vulnerability exists in the client
    authentication mechanism of Pgpool-II. In Pgpool-II, authentication may be
    bypassed even when it is supposed to be enforced. As a result, an attacker
    could log in as any user, potentially leading to information disclosure,
    data tampering, or even a complete shutdown of the database.
    (CVE-2025-46801)

    This vulnerability affects systems where the authentication configuration
    matches one of the following patterns:

    Pattern 1: This vulnerability occurs when all of the following conditions
    are met:

    - The password authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is not set in pool_passwd
    - The scram-sha-256 or md5 authentication method is used in pg_hba.conf

    Pattern 2: This vulnerability occurs when all of the following conditions
    are met:

    - enable_pool_hba = off
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Pattern 3: This vulnerability occurs when all of the following conditions
    are met:

    - Raw mode is used (backend_clustering_mode = 'raw')
    - The md5 authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is registered in pool_passwd in plain text or AES
      format
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Alternatively, you can modify your settings so that they do not match any
    of the vulnerable configuration patterns.

  * debian/tests/jdbc-tests: Use scram-sha-256 authentication.

 -- Christoph Berg <myon@debian.org>  Mon, 19 May 2025 12:09:11 +0200

pgpool2 (4.6.0-2) unstable; urgency=medium

  * Set html doc creation time based on SOURCE_DATE_EPOCH.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Apr 2025 20:14:49 +0000

pgpool2 (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Mar 2025 15:04:01 +0000

## percona-pgpool2 4.6.2

=== debian/changelog ===
percona-pgpool2 (4.6.2-1) unstable; urgency=medium

  * Update to new percona-pgpool2 pg17.6 version 4.6.2

 -- root <root@b870c1bbc809>  Sun, 07 Sep 2025 07:34:44 +0000

percona-pgpool2 (4.6.2-1) stable; urgency=medium

  * New upstream version 4.6.3.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 10:09:44 +0200

pgpool2 (4.6.2-1) experimental; urgency=medium

  * New upstream version 4.6.2.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Jun 2025 12:23:26 +0200

pgpool2 (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1. (Closes: #1106119)

    + An authentication bypass vulnerability exists in the client
    authentication mechanism of Pgpool-II. In Pgpool-II, authentication may be
    bypassed even when it is supposed to be enforced. As a result, an attacker
    could log in as any user, potentially leading to information disclosure,
    data tampering, or even a complete shutdown of the database.
    (CVE-2025-46801)

    This vulnerability affects systems where the authentication configuration
    matches one of the following patterns:

    Pattern 1: This vulnerability occurs when all of the following conditions
    are met:

    - The password authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is not set in pool_passwd
    - The scram-sha-256 or md5 authentication method is used in pg_hba.conf

    Pattern 2: This vulnerability occurs when all of the following conditions
    are met:

    - enable_pool_hba = off
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Pattern 3: This vulnerability occurs when all of the following conditions
    are met:

    - Raw mode is used (backend_clustering_mode = 'raw')
    - The md5 authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is registered in pool_passwd in plain text or AES
      format
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Alternatively, you can modify your settings so that they do not match any
    of the vulnerable configuration patterns.

  * debian/tests/jdbc-tests: Use scram-sha-256 authentication.

 -- Christoph Berg <myon@debian.org>  Mon, 19 May 2025 12:09:11 +0200

=== debian/control ===
--- 
+++ 
@@ -75,17 +75,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-12-pgpool2
+Package: postgresql-15-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:
  libpgpool2 (>= ${binary:Version}),
- postgresql-12|percona-postgresql-12,
+ postgresql-15|percona-postgresql-15,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 12 server:
+ the PostgreSQL 15 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)
